Debian Bug report logs - #517998
syslinux non-menu fixes for etch and lenny/pxe needed

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Laurent Léonard <laurent@open-minds.org>

Date: Tue, 3 Mar 2009 13:06:08 UTC

Severity: important

Merged with 546910

Found in version live-helper/1.0.4-1

Fixed in version live-helper/1.0.6-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#517998; Package live-helper. (Tue, 03 Mar 2009 13:06:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Léonard <laurent@open-minds.org>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 03 Mar 2009 13:06:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Laurent Léonard <laurent@open-minds.org>
To: submit@bugs.debian.org
Subject: [live-helper] "Could not find kernel image" issue with syslinux bootloader
Date: Tue, 3 Mar 2009 14:04:12 +0100
Package: live-helper
Version: 1.0.4-1
Severity: normal

--- Please enter the report below this line. ---
The "Could not find kernel image" issue with syslinux bootloader seems to be 
back in 1.0.4 (see the FAQ : 
http://wiki.debian.org/DebianLive/FAQ#head-372e07aeb2de0b77cad20aaad65d2ab8d681886f).

This hook is not needed with 1.0.2 and 1.0.3, so I suppose it's a regression 
bug... And even with the hook it doesn't seem to work.

--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.26-1-amd64

Debian Release: 5.0
 1000 testing         security.debian.org 
 1000 testing         ftp.fr.debian.org 

--- Package information. ---
Depends                  (Version) | Installed
==================================-+-===========
debootstrap                        | 1.0.10lenny1
 OR cdebootstrap                   | 0.5.4
 OR cdebootstrap-static            | 

-- 
Laurent Léonard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#517998; Package live-helper. (Tue, 03 Mar 2009 13:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 03 Mar 2009 13:18:07 GMT) Full text and rfc822 format available.

Message #10 received at 517998@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Laurent Léonard <laurent@open-minds.org>, 517998@bugs.debian.org
Subject: Re: Bug#517998: [live-helper] "Could not find kernel image" issue with syslinux bootloader
Date: Tue, 03 Mar 2009 14:17:04 +0100
tags 517998 +moreinfo
thanks

Laurent Léonard wrote:
> The "Could not find kernel image" issue with syslinux bootloader seems to be 
> back in 1.0.4

what binary images are you building? pxe netboot was not yet updated to
build syslinux menu configuration files; everything else works. if
you're using something different than pxe, i suspect a bug or
missconfiguration on your side.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Tags added: moreinfo Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 03 Mar 2009 13:18:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#517998; Package live-helper. (Tue, 03 Mar 2009 13:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Léonard <laurent@open-minds.org>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 03 Mar 2009 13:48:03 GMT) Full text and rfc822 format available.

Message #17 received at 517998@bugs.debian.org (full text, mbox):

From: Laurent Léonard <laurent@open-minds.org>
To: daniel@debian.org, 517998@bugs.debian.org
Subject: Re: Bug#517998: [live-helper] "Could not find kernel image" issue with syslinux bootloader
Date: Tue, 3 Mar 2009 14:46:21 +0100
Le mardi 03 mars 2009 14:17:04 Daniel Baumann, vous avez écrit :
> tags 517998 +moreinfo
> thanks
>
> Laurent Léonard wrote:
> > The "Could not find kernel image" issue with syslinux bootloader seems to
> > be back in 1.0.4
>
> what binary images are you building? pxe netboot was not yet updated to
> build syslinux menu configuration files; everything else works. if
> you're using something different than pxe, i suspect a bug or
> missconfiguration on your side.

I build an USB disk image. Since I have upgraded to 1.0.4 I have this problem, 
now I downgraded to 1.0.3 and it works again...

-- 
Laurent Léonard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#517998; Package live-helper. (Tue, 03 Mar 2009 14:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 03 Mar 2009 14:00:06 GMT) Full text and rfc822 format available.

Message #22 received at 517998@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Laurent Léonard <laurent@open-minds.org>, 517998@bugs.debian.org
Subject: Re: Bug#517998: [live-helper] "Could not find kernel image" issue with syslinux bootloader
Date: Tue, 03 Mar 2009 14:57:44 +0100
Laurent Léonard wrote:
> I build an USB disk image. Since I have upgraded to 1.0.4 I have this problem, 
> now I downgraded to 1.0.3 and it works again...

i can confirm that usb-hdd with 1.0.4 does work flawlessly which means
there is a missconfiguration on your side. please follow the manual[0]
and provide the necessary information, including config directory.
otherwise we are not able to help you.

[0] http://live.debian.net/manual/html/bugs.html

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#517998; Package live-helper. (Tue, 03 Mar 2009 15:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <ronny.standtke@fhnw.ch>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 03 Mar 2009 15:30:06 GMT) Full text and rfc822 format available.

Message #27 received at 517998@bugs.debian.org (full text, mbox):

From: Ronny Standtke <ronny.standtke@fhnw.ch>
To: daniel@debian.org, 517998@bugs.debian.org
Subject: Re: Bug#517998: [live-helper] "Could not find kernel image" issue with syslinux bootloader
Date: Tue, 3 Mar 2009 16:25:48 +0100
> > I build an USB disk image. Since I have upgraded to 1.0.4 I have this problem, 
> > now I downgraded to 1.0.3 and it works again...
> 
> i can confirm that usb-hdd with 1.0.4 does work flawlessly which means
> there is a missconfiguration on your side.

I can confirm that 1.0.4 does NOT work. I see the same error as the
reporter. Switching back to 1.0.3 fixes the problem for me.

Greetings

Ronny

-- 
Ronny Standtke                 Fachhochschule Nordwestschweiz
Dozent Medienpädagogik / ICT   Pädagogische Hochschule
Telefon: +41 32 627 92 47      Obere Sternengasse 7
Mobil  : +41 79 786 81 82      4502 Solothurn





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#517998; Package live-helper. (Tue, 03 Mar 2009 15:36:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Léonard <laurent@open-minds.org>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 03 Mar 2009 15:36:55 GMT) Full text and rfc822 format available.

Message #32 received at 517998@bugs.debian.org (full text, mbox):

From: Laurent Léonard <laurent@open-minds.org>
To: daniel@debian.org, 517998@bugs.debian.org
Subject: Re: Bug#517998: [live-helper] "Could not find kernel image" issue with syslinux bootloader
Date: Tue, 3 Mar 2009 16:31:28 +0100
Le mardi 03 mars 2009 14:57:44 Daniel Baumann, vous avez écrit :
> Laurent Léonard wrote:
> > I build an USB disk image. Since I have upgraded to 1.0.4 I have this
> > problem, now I downgraded to 1.0.3 and it works again...
>
> i can confirm that usb-hdd with 1.0.4 does work flawlessly which means
> there is a missconfiguration on your side. please follow the manual[0]
> and provide the necessary information, including config directory.
> otherwise we are not able to help you.

Here is the command I used to generate the configuration (with Live-helper 
1.0.3) :
lh_config -a amd64 -b usb-hdd -d lenny -m http://ftp.fr.debian.org/debian -p 
standard-x11 --bootappend-live "locale=fr_BE.UTF-8 keyb=be" --debian-installer 
enabled --hostname "xxx" --iso-application "xxx" --iso-preparer "Laurent 
Léonard" --iso-publisher "xxx" --iso-volume "xxx" --mirror-binary-security 
http://security.debian.org --mirror-binary http://ftp.fr.debian.org/debian --
packages "autofs5 dosfstools fluxbox gdm gkrellm gparted iceweasel iceweasel-
l10n-fr kdelibs4c2a lighttpd ntfsprogs ocsinventory-agent partimage smbfs 
xnetcardconfig zenity"

I juste regenerated it with lh_config from Live-helper 1.0.4 and now it works, 
the difference is the default value of LH_SYSLINUX_MENU. It was disabled by 
default in 1.0.3 and now it is enabled by default.

I prefer to have a menu for Syslinux but, when LH_SYSLINUX_MENU is disabled (I 
think it is not a missconfiguration), it should work too.

-- 
Laurent Léonard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#517998; Package live-helper. (Tue, 03 Mar 2009 18:48:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 03 Mar 2009 18:48:11 GMT) Full text and rfc822 format available.

Message #37 received at 517998@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Ronny Standtke <ronny.standtke@fhnw.ch>, 517998@bugs.debian.org
Subject: Re: Bug#517998: [live-helper] "Could not find kernel image" issue with syslinux bootloader
Date: Tue, 03 Mar 2009 19:44:40 +0100
Ronny Standtke wrote:
> I can confirm that 1.0.4 does NOT work. I see the same error as the
> reporter. Switching back to 1.0.3 fixes the problem for me.

no, it does. your error is a different one (use --syslinux-menu enabled).

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#517998; Package live-helper. (Tue, 03 Mar 2009 18:48:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 03 Mar 2009 18:48:12 GMT) Full text and rfc822 format available.

Message #42 received at 517998@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Laurent Léonard <laurent@open-minds.org>, 517998@bugs.debian.org
Subject: Re: Bug#517998: [live-helper] "Could not find kernel image" issue with syslinux bootloader
Date: Tue, 03 Mar 2009 19:47:31 +0100
Laurent Léonard wrote:
> the difference is the default value of LH_SYSLINUX_MENU. It was disabled by 
> default in 1.0.3 and now it is enabled by default.

this is known (see mail where i mentioned pxe netboot things in 1.0.4);
there will be 1.0.5 which will fix pxe netboot for 5.0.1 (and migrate to
lenny through stable updates); and right after that - syslinux
'non-menu' style will disappear in squeeze/sid anyway.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Changed Bug title to `syslinux non-menu fixes for etch and lenny/pxe needed' from `[live-helper] "Could not find kernel image" issue with syslinux bootloader'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 06 Mar 2009 09:42:10 GMT) Full text and rfc822 format available.

Forcibly Merged 517998 546910. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 16 Sep 2009 18:39:04 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 19 Oct 2009 12:39:11 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 19 Oct 2009 12:39:13 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sun, 01 Nov 2009 13:24:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#517998; Package live-helper. (Wed, 16 Dec 2009 18:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Jaquier <cyril.jaquier@jaqpot.net>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Wed, 16 Dec 2009 18:42:07 GMT) Full text and rfc822 format available.


Message #57 received at 517998@bugs.debian.org (full text, mbox):

From: Cyril Jaquier <cyril.jaquier@jaqpot.net>
To: 517998@bugs.debian.org
Date: Wed, 16 Dec 2009 19:32:15 +0100
[Message part 1 (text/plain, inline)]
Hi Daniel,

Seems like this bug is back/still not fixed. I tried with live-helper 
2.0~a3-1 and it seems that [1] is incorrect. Please consider the 
attached patch.

Please contact me if you need more information.

Regards,
Cyril

[1] /usr/share/live-helper/templates.debian/syslinux/normal/syslinux.cfg

[syslinux-live_cfg.diff (text/x-patch, inline)]
--- /usr/share/live-helper/templates.debian/syslinux/normal/syslinux.cfg.orig	2009-12-15 18:16:37.000000000 +0100
+++ /usr/share/live-helper/templates.debian/syslinux/normal/syslinux.cfg	2009-12-15 18:16:48.000000000 +0100
@@ -1,3 +1,3 @@
 include {$LIVE_SCREEN_PATH}/header.cfg
-include {$LIVE_SCREEN_PATH}/menu.cfg
+include {$LIVE_SCREEN_PATH}/live.cfg
 include {$LIVE_SCREEN_PATH}/footer.cfg

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#517998; Package live-helper. (Wed, 16 Dec 2009 20:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Wed, 16 Dec 2009 20:12:02 GMT) Full text and rfc822 format available.

Message #62 received at 517998@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Cyril Jaquier <cyril.jaquier@jaqpot.net>
Cc: 517998@bugs.debian.org
Subject: Re: Bug#517998: (no subject)
Date: Wed, 16 Dec 2009 21:07:07 +0100
Cyril Jaquier wrote:
> Hi Daniel,

Hi,

> Seems like this bug is back/still not fixed. I tried with live-helper 
> 2.0~a3-1 and it seems that [1] is incorrect. Please consider the 
> attached patch.

don't worry, i will.. but it requires some testing that i'll need to do, 
i fear breaking it when messing arround with it.

(and i did see your mail on the ml already, but i didn't had the time to 
test it yet, and i wanted to answer when i did the tests)

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Jan 2010 07:33:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:13:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.